Bug 1015792 - Wine window doesn't behave like a proper Gnome Activity
Wine window doesn't behave like a proper Gnome Activity
Status: NEW
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
26
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 10:11 EDT by Jochen Wiedmann
Modified: 2017-02-28 04:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:31:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Wine HQ 33738 None None None Never

  None (edit)
Description Jochen Wiedmann 2013-10-05 10:11:49 EDT
Description of problem:

I have installed Arena, a chess GUI, that I am quite frequently using. (See http://www.playwitharena.com/?Download for downloads.) After installation, it appears as a proper Gnome 3 activity. In particular I can launch it by typing

  Windows-Key, 'a', 'r', 'e', Enter

However, once the pogram is running, it doesn't behave like a proper Gnome 3 activity. For example:

- If I am pressing the Windows key, then I can see a small window for every currently running activity, Arena being the exception.
- I can select "Move to another workspace" in the window menu, but when I visit that workspace, the window isn't visible.

Version-Release number of selected component (if applicable):

Arena 3.0
wine-1.7.2-1.fc19.x86_64

How reproducible:


Steps to Reproduce:
1. Install Arena
2. Launch Arena, and one or two other, native Gnome programs, like GTerminal, or Firefox.
3. Hit the Windows key. 

Actual results:

The windows opened by the other programs are visible, and selectable. Arena isn't.

Expected results:

All Windows should be visible, including Arenas.

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 15:07:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:31:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 a.ross 2015-11-24 07:40:19 EST
This bug should be re-opened. It can be reproduced in FC23. In my case using:

- Wine v1.7.52
- GNOME Shell v3.18.1
Comment 4 Michael Cronenworth 2015-11-24 09:59:05 EST
1.7.52? That's 3 versions behind. Please try 1.7.55 first before I reopen this.
Comment 5 a.ross 2015-11-24 10:12:18 EST
I just updated to 1.7.54... FC doesn't ship with 1.7.55 yet.

Actually I should clarify that this bug isn't present for every window. It is present for example in HeidiSQL's session manager window. The full application window (when it opens) does work.
Comment 6 Michael Cronenworth 2015-11-24 10:17:24 EST
dnf --enablerepo=updates-testing update wine*
Comment 7 a.ross 2015-11-24 10:39:10 EST
Still present in 1.7.55. But as noted, not in every window. HeidiSQL's session manager window is a good example. The window easily gets "lost" with this bug.
Comment 8 Michael Cronenworth 2015-11-24 10:45:19 EST
Thanks. Please open a bug with Wine Staging and link the bug number here so I may track it.

https://bugs.wine-staging.com/
Comment 9 Jochen Wiedmann 2015-11-24 14:17:00 EST
jwi@fedora23 ~]$ sudo dnf -y update wine
[jwi@fedora23 ~]$ rpm -qi wine
Name        : wine
...
Source RPM  : wine-1.7.54-1.fc23.src.rpm

Confirming for 1.7.54.

See also https://bugs.winehq.org/show_bug.cgi?id=33738
Comment 10 Jochen Wiedmann 2015-11-24 14:21:14 EST
I shouöd also note, that in my example (Arena Chess GUI, 3.5), a partial activity behaviour is present: If I press Alt-Tab, then the Arena Window is visible. Howver, if I press the Windows key, then it is missing in the list.
Comment 11 Fedora End Of Life 2016-11-24 06:03:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 a.ross 2016-11-24 06:33:42 EST
Bug still present in version 25.

@Jochen, could you attach terminal output in the issue on WineHQ like they requested? I'm getting this when running HeidiSQL:


fixme:winediag:start_process Wine Staging 1.9.22 is a testing version containing experimental patches.
fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
fixme:msg:ChangeWindowMessageFilterEx 0x10050 400 1 (nil)
fixme:wtsapi:WTSRegisterSessionNotification Stub 0x10080 0x00000000
fixme:win:LockWindowUpdate (0x10020), partial stub!
fixme:win:LockWindowUpdate ((nil)), partial stub!
fixme:win:LockWindowUpdate (0x10020), partial stub!
fixme:win:LockWindowUpdate ((nil)), partial stub!
Comment 13 Fedora End Of Life 2017-02-28 04:35:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.